{
  "swagger": "2.0",
  "schemes": [
    "https"
  ],
  "host": "management.azure.com",
  "info": {
    "description": "The Microsoft Azure Network management API provides a RESTful set of web services that interact with Microsoft Azure Networks service to manage your network resources. The API has entities that capture the relationship between an end user and the Microsoft Azure Networks service.",
    "title": "NetworkManagementClient",
    "version": "2019-04-01",
    "x-apisguru-categories": [
      "cloud"
    ],
    "x-logo": {
      "url": "https://api.apis.guru/v2/cache/logo/https_assets.onestore.ms_cdnfiles_onestorerolling-1606-01000_shell_v3_images_logo_microsoft.png"
    },
    "x-origin": [
      {
        "format": "swagger",
        "url": "https://raw.githubusercontent.com/Azure/azure-rest-api-specs/master/specification/network/resource-manager/Microsoft.Network/stable/2019-04-01/privateLinkService.json",
        "version": "2.0"
      }
    ],
    "x-preferred": false,
    "x-providerName": "azure.com",
    "x-serviceName": "network-privateLinkService",
    "x-tags": [
      "Azure",
      "Microsoft"
    ]
  },
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "securityDefinitions": {
    "azure_auth": {
      "authorizationUrl": "https://login.microsoftonline.com/common/oauth2/authorize",
      "description": "Azure Active Directory OAuth2 Flow.",
      "flow": "implicit",
      "scopes": {
        "user_impersonation": "impersonate your user account"
      },
      "type": "oauth2"
    }
  },
  "security": [
    {
      "azure_auth": [
        "user_impersonation"
      ]
    }
  ],
  "paths": {
    "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/autoApprovedPrivateLinkServices": {
      "get": {
        "description": "Returns all of the private link service ids that can be linked to a Private Endpoint with auto approved in this subscription in this region.",
        "operationId": "PrivateLinkServices_ListAutoApprovedPrivateLinkServices",
        "parameters": [
          {
            "description": "The location of the domain name.",
            "in": "path",
            "name": "location",
            "required": true,
            "type": "string"
          },
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Request successful. Returns all of the private link service ids that can be linked to a Private Endpoint with auto approved in this subscription in this region.",
            "schema": {
              "$ref": "#/definitions/AutoApprovedPrivateLinkServicesResult"
            }
          }
        },
        "tags": [
          "PrivateLinkServices"
        ],
        "x-ms-examples": {
          "Get list of private link service id that can be linked to a private end point with auto approved": {
            "parameters": {
              "api-version": "2019-04-01",
              "location": "regionName",
              "subscriptionId": "subId"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "privateLinkService": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls1"
                    },
                    {
                      "privateLinkService": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls2"
                    },
                    {
                      "privateLinkService": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls3"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      }
    },
    "/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/checkPrivateLinkServiceVisibility": {
      "post": {
        "description": "Checks the subscription is visible to private link service",
        "operationId": "PrivateLinkServices_CheckPrivateLinkServiceVisibility",
        "parameters": [
          {
            "description": "The location of the domain name.",
            "in": "path",
            "name": "location",
            "required": true,
            "type": "string"
          },
          {
            "description": "The request body of CheckPrivateLinkService API call.",
            "in": "body",
            "name": "parameters",
            "required": true,
            "schema": {
              "$ref": "#/definitions/CheckPrivateLinkServiceVisibilityRequest"
            }
          },
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Request successful. Returns whether the subscription is visible to private link service.",
            "schema": {
              "$ref": "#/definitions/PrivateLinkServiceVisibility"
            }
          }
        },
        "tags": [
          "PrivateLinkServices"
        ],
        "x-ms-examples": {
          "Check private link service visibility": {
            "parameters": {
              "api-version": "2019-04-01",
              "location": "westus",
              "parameters": {
                "privateLinkServiceAlias": "mypls.00000000-0000-0000-0000-000000000000.azure.privatelinkservice"
              },
              "subscriptionId": "subid"
            },
            "responses": {
              "200": {
                "body": {
                  "visible": true
                }
              }
            }
          }
        }
      }
    },
    "/subscriptions/{subscriptionId}/providers/Microsoft.Network/privateLinkServices": {
      "get": {
        "description": "Gets all private link service in a subscription.",
        "operationId": "PrivateLinkServices_ListBySubscription",
        "parameters": [
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Request successful. The operation returns a list of PrivateLinkService resources.",
            "schema": {
              "$ref": "#/definitions/PrivateLinkServiceListResult"
            }
          },
          "default": {
            "description": "Error.",
            "schema": {
              "description": "Common error representation.",
              "properties": {
                "code": {
                  "description": "Error code.",
                  "type": "string"
                },
                "details": {
                  "description": "Error details.",
                  "items": {
                    "description": "Common error details representation.",
                    "properties": {
                      "code": {
                        "description": "Error code.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Error message.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Error target.",
                        "type": "string"
                      }
                    }
                  },
                  "type": "array"
                },
                "innerError": {
                  "description": "Inner error message.",
                  "type": "string"
                },
                "message": {
                  "description": "Error message.",
                  "type": "string"
                },
                "target": {
                  "description": "Error target.",
                  "type": "string"
                }
              }
            }
          }
        },
        "tags": [
          "PrivateLinkServices"
        ],
        "x-ms-examples": {
          "List all private list service": {
            "parameters": {
              "api-version": "2019-04-01",
              "subscriptionId": "subId"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls1",
                      "location": "eastus",
                      "name": "testPls1",
                      "properties": {
                        "alias": "ContosoService.{guid}.azure.privatelinkservice",
                        "autoApproval": {
                          "subscriptions": [
                            "subscription1",
                            "subscription2"
                          ]
                        },
                        "fqdns": [
                          "fqdn1",
                          "fqdn2",
                          "fqdn3"
                        ],
                        "ipConfigurations": [
                          {
                            "name": "fe-lb1",
                            "properties": {
                              "privateIPAddress": "10.0.1.4",
                              "privateIPAddressVersion": "IPv4",
                              "privateIPAllocationMethod": "Static",
                              "subnet": {
                                "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetlb/subnets/subnetlb1"
                              }
                            }
                          }
                        ],
                        "loadBalancerFrontendIpConfigurations": [
                          {
                            "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/loadBalancers/lb/frontendIPConfigurations/fe-lb1"
                          }
                        ],
                        "networkInterfaces": [
                          {
                            "id": "/subscriptions/subId/resourceGroups/rg1/provders/Microsoft.Network/networkInterfaces/testPls1.nic.abcd1234"
                          }
                        ],
                        "privateEndpointConnections": [
                          {
                            "name": "pec1",
                            "properties": {
                              "privateEndpoint": {
                                "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testPe1"
                              },
                              "privateLinkServiceConnectionState": {
                                "description": "approved it for some reason.",
                                "status": "Approved"
                              }
                            }
                          }
                        ],
                        "provisioningState": "Succeeded",
                        "visibility": {
                          "subscriptions": [
                            "subscription1",
                            "subscription2",
                            "subscription3"
                          ]
                        }
                      },
                      "type": "Microsoft.Network/privateLinkServices"
                    },
                    {
                      "id": "/subscriptions/subId/resourceGroups/rg2/providers/Microsoft.Network/privateLinkServices/testPls2",
                      "location": "eastus",
                      "name": "testPls2",
                      "properties": {
                        "alias": "ContosoService.{guid}.azure.privatelinkservice",
                        "autoApproval": {
                          "subscriptions": [
                            "subscription1",
                            "subscription2"
                          ]
                        },
                        "fqdns": [
                          "fqdn1",
                          "fqdn2"
                        ],
                        "ipConfigurations": [
                          {
                            "name": "fe-lb2",
                            "properties": {
                              "privateIPAddress": "10.0.1.5",
                              "privateIPAddressVersion": "IPv4",
                              "privateIPAllocationMethod": "Static",
                              "subnet": {
                                "id": "/subscriptions/subid/resourceGroups/rg2/providers/Microsoft.Network/virtualNetworks/vnetlb/subnets/subnetlb2"
                              }
                            }
                          }
                        ],
                        "loadBalancerFrontendIpConfigurations": [
                          {
                            "id": "/subscriptions/subid/resourceGroups/rg2/providers/Microsoft.Network/loadBalancers/lb/frontendIPConfigurations/fe-lb2"
                          }
                        ],
                        "networkInterfaces": [
                          {
                            "id": "/subscriptions/subId/resourceGroups/rg2/provders/Microsoft.Network/networkInterfaces/testPls2.nic.efgh5678"
                          }
                        ],
                        "privateEndpointConnections": [
                          {
                            "name": "pec1",
                            "properties": {
                              "privateEndpoint": {
                                "id": "/subscriptions/subId/resourceGroups/rg2/providers/Microsoft.Network/privateEndpoints/testPe2"
                              },
                              "privateLinkServiceConnectionState": {
                                "description": "approved it for some reason.",
                                "status": "Approved"
                              }
                            }
                          }
                        ],
                        "provisioningState": "Succeeded",
                        "visibility": {
                          "subscriptions": [
                            "subscription1",
                            "subscription2"
                          ]
                        }
                      },
                      "type": "Microsoft.Network/privateLinkServices"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      }
    },
    "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/locations/{location}/autoApprovedPrivateLinkServices": {
      "get": {
        "description": "Returns all of the private link service ids that can be linked to a Private Endpoint with auto approved in this subscription in this region.",
        "operationId": "PrivateLinkServices_ListAutoApprovedPrivateLinkServicesByResourceGroup",
        "parameters": [
          {
            "description": "The location of the domain name.",
            "in": "path",
            "name": "location",
            "required": true,
            "type": "string"
          },
          {
            "description": "The name of the resource group.",
            "in": "path",
            "name": "resourceGroupName",
            "required": true,
            "type": "string"
          },
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Request successful. Returns all of the private link service ids that can be linked to a Private Endpoint with auto approved in this subscription in this region.",
            "schema": {
              "$ref": "#/definitions/AutoApprovedPrivateLinkServicesResult"
            }
          }
        },
        "tags": [
          "PrivateLinkServices"
        ],
        "x-ms-examples": {
          "Get list of private link service id that can be linked to a private end point with auto approved": {
            "parameters": {
              "api-version": "2019-04-01",
              "location": "regionName",
              "resourceGroupName": "rg1",
              "subscriptionId": "subId"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "privateLinkService": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls1"
                    },
                    {
                      "privateLinkService": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls2"
                    },
                    {
                      "privateLinkService": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls3"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      }
    },
    "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/locations/{location}/checkPrivateLinkServiceVisibility": {
      "post": {
        "description": "Checks the subscription is visible to private link service",
        "operationId": "PrivateLinkServices_CheckPrivateLinkServiceVisibilityByResourceGroup",
        "parameters": [
          {
            "description": "The location of the domain name.",
            "in": "path",
            "name": "location",
            "required": true,
            "type": "string"
          },
          {
            "description": "The name of the resource group.",
            "in": "path",
            "name": "resourceGroupName",
            "required": true,
            "type": "string"
          },
          {
            "description": "The request body of CheckPrivateLinkService API call.",
            "in": "body",
            "name": "parameters",
            "required": true,
            "schema": {
              "$ref": "#/definitions/CheckPrivateLinkServiceVisibilityRequest"
            }
          },
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Request successful. Returns whether the subscription is visible to private link service.",
            "schema": {
              "$ref": "#/definitions/PrivateLinkServiceVisibility"
            }
          }
        },
        "tags": [
          "PrivateLinkServices"
        ],
        "x-ms-examples": {
          "Check private link service visibility": {
            "parameters": {
              "api-version": "2019-04-01",
              "location": "westus",
              "parameters": {
                "privateLinkServiceAlias": "mypls.00000000-0000-0000-0000-000000000000.azure.privatelinkservice"
              },
              "resourceGroupName": "rg1",
              "subscriptionId": "subid"
            },
            "responses": {
              "200": {
                "body": {
                  "visible": true
                }
              }
            }
          }
        }
      }
    },
    "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices": {
      "get": {
        "description": "Gets all private link services in a resource group.",
        "operationId": "PrivateLinkServices_List",
        "parameters": [
          {
            "description": "The name of the resource group.",
            "in": "path",
            "name": "resourceGroupName",
            "required": true,
            "type": "string"
          },
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Request successful. The operation returns a list of privateLinkService resources.",
            "schema": {
              "$ref": "#/definitions/PrivateLinkServiceListResult"
            }
          },
          "default": {
            "description": "Error.",
            "schema": {
              "description": "Common error representation.",
              "properties": {
                "code": {
                  "description": "Error code.",
                  "type": "string"
                },
                "details": {
                  "description": "Error details.",
                  "items": {
                    "description": "Common error details representation.",
                    "properties": {
                      "code": {
                        "description": "Error code.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Error message.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Error target.",
                        "type": "string"
                      }
                    }
                  },
                  "type": "array"
                },
                "innerError": {
                  "description": "Inner error message.",
                  "type": "string"
                },
                "message": {
                  "description": "Error message.",
                  "type": "string"
                },
                "target": {
                  "description": "Error target.",
                  "type": "string"
                }
              }
            }
          }
        },
        "tags": [
          "PrivateLinkServices"
        ],
        "x-ms-examples": {
          "List private link service in resource group": {
            "parameters": {
              "api-version": "2019-04-01",
              "resourceGroupName": "rg1",
              "subscriptionId": "subId"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls1",
                      "location": "eastus",
                      "name": "testPls1",
                      "properties": {
                        "alias": "ContosoService.{guid}.azure.privatelinkservice",
                        "autoApproval": {
                          "subscriptions": [
                            "subscription1"
                          ]
                        },
                        "fqdns": [
                          "fqdn1",
                          "fqdn2"
                        ],
                        "ipConfigurations": [
                          {
                            "name": "fe-lb1",
                            "properties": {
                              "privateIPAddress": "10.0.1.4",
                              "privateIPAddressVersion": "IPv4",
                              "privateIPAllocationMethod": "Static",
                              "subnet": {
                                "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetlb/subnets/subnetlb1"
                              }
                            }
                          }
                        ],
                        "loadBalancerFrontendIpConfigurations": [
                          {
                            "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/loadBalancers/lb/frontendIPConfigurations/fe-lb1"
                          }
                        ],
                        "networkInterfaces": [
                          {
                            "id": "/subscriptions/subId/resourceGroups/rg1/provders/Microsoft.Network/networkInterfaces/testPls1.nic.abcd1234"
                          }
                        ],
                        "privateEndpointConnections": [
                          {
                            "name": "pec1",
                            "properties": {
                              "privateEndpoint": {
                                "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testPe1"
                              },
                              "privateLinkServiceConnectionState": {
                                "description": "approved it for some reason.",
                                "status": "Approved"
                              }
                            }
                          }
                        ],
                        "provisioningState": "Succeeded",
                        "visibility": {
                          "subscriptions": [
                            "subscription1"
                          ]
                        }
                      },
                      "type": "Microsoft.Network/privateLinkServices"
                    },
                    {
                      "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls2",
                      "location": "eastus",
                      "name": "testPls2",
                      "properties": {
                        "alias": "ContosoService.{guid}.azure.privatelinkservice",
                        "autoApproval": {
                          "subscriptions": [
                            "subscription1",
                            "subscription2"
                          ]
                        },
                        "fqdns": [
                          "fqdn1",
                          "fqdn2",
                          "fqdn3"
                        ],
                        "ipConfigurations": [
                          {
                            "name": "fe-lb2",
                            "properties": {
                              "privateIPAddress": "10.0.1.5",
                              "privateIPAddressVersion": "IPv4",
                              "privateIPAllocationMethod": "Static",
                              "subnet": {
                                "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetlb/subnets/subnetlb2"
                              }
                            }
                          }
                        ],
                        "loadBalancerFrontendIpConfigurations": [
                          {
                            "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/loadBalancers/lb/frontendIPConfigurations/fe-lb2"
                          }
                        ],
                        "networkInterfaces": [
                          {
                            "id": "/subscriptions/subId/resourceGroups/rg1/provders/Microsoft.Network/networkInterfaces/testPls2.nic.efgh5678"
                          }
                        ],
                        "privateEndpointConnections": [
                          {
                            "name": "pec2",
                            "properties": {
                              "privateEndpoint": {
                                "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testPe2"
                              },
                              "privateLinkServiceConnectionState": {
                                "description": "approved it for some reason.",
                                "status": "Approved"
                              }
                            }
                          }
                        ],
                        "provisioningState": "Succeeded",
                        "visibility": {
                          "subscriptions": [
                            "subscription1",
                            "subscription2",
                            "subscription3"
                          ]
                        }
                      },
                      "type": "Microsoft.Network/privateLinkServices"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      }
    },
    "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices/{serviceName}": {
      "delete": {
        "description": "Deletes the specified private link service.",
        "operationId": "PrivateLinkServices_Delete",
        "parameters": [
          {
            "description": "The name of the resource group.",
            "in": "path",
            "name": "resourceGroupName",
            "required": true,
            "type": "string"
          },
          {
            "description": "The name of the private link service.",
            "in": "path",
            "name": "serviceName",
            "required": true,
            "type": "string"
          },
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Delete successful."
          },
          "202": {
            "description": "Accepted and the operation will complete asynchronously."
          },
          "204": {
            "description": "Delete successful."
          },
          "default": {
            "description": "Error.",
            "schema": {
              "description": "Common error representation.",
              "properties": {
                "code": {
                  "description": "Error code.",
                  "type": "string"
                },
                "details": {
                  "description": "Error details.",
                  "items": {
                    "description": "Common error details representation.",
                    "properties": {
                      "code": {
                        "description": "Error code.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Error message.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Error target.",
                        "type": "string"
                      }
                    }
                  },
                  "type": "array"
                },
                "innerError": {
                  "description": "Inner error message.",
                  "type": "string"
                },
                "message": {
                  "description": "Error message.",
                  "type": "string"
                },
                "target": {
                  "description": "Error target.",
                  "type": "string"
                }
              }
            }
          }
        },
        "tags": [
          "PrivateLinkServices"
        ],
        "x-ms-examples": {
          "Delete private link service": {
            "parameters": {
              "api-version": "2019-04-01",
              "resourceGroupName": "rg1",
              "serviceName": "testPls",
              "subscriptionId": "subId"
            },
            "responses": {
              "200": {},
              "202": {},
              "204": {}
            }
          }
        },
        "x-ms-long-running-operation": true,
        "x-ms-long-running-operation-options": {
          "final-state-via": "location"
        }
      },
      "get": {
        "description": "Gets the specified private link service by resource group.",
        "operationId": "PrivateLinkServices_Get",
        "parameters": [
          {
            "description": "The name of the resource group.",
            "in": "path",
            "name": "resourceGroupName",
            "required": true,
            "type": "string"
          },
          {
            "description": "The name of the private link service.",
            "in": "path",
            "name": "serviceName",
            "required": true,
            "type": "string"
          },
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          },
          {
            "description": "Expands referenced resources.",
            "in": "query",
            "name": "$expand",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Request successful. The operation returns the resulting PrivateLinkService resource.",
            "schema": {
              "$ref": "#/definitions/PrivateLinkService"
            }
          },
          "default": {
            "description": "Error.",
            "schema": {
              "description": "Common error representation.",
              "properties": {
                "code": {
                  "description": "Error code.",
                  "type": "string"
                },
                "details": {
                  "description": "Error details.",
                  "items": {
                    "description": "Common error details representation.",
                    "properties": {
                      "code": {
                        "description": "Error code.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Error message.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Error target.",
                        "type": "string"
                      }
                    }
                  },
                  "type": "array"
                },
                "innerError": {
                  "description": "Inner error message.",
                  "type": "string"
                },
                "message": {
                  "description": "Error message.",
                  "type": "string"
                },
                "target": {
                  "description": "Error target.",
                  "type": "string"
                }
              }
            }
          }
        },
        "tags": [
          "PrivateLinkServices"
        ],
        "x-ms-examples": {
          "Get private link service": {
            "parameters": {
              "api-version": "2019-04-01",
              "resourceGroupName": "rg1",
              "serviceName": "testPls",
              "subscriptionId": "subId"
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls",
                  "location": "eastus",
                  "name": "testPls",
                  "properties": {
                    "alias": "ContosoService.{guid}.azure.privatelinkservice",
                    "autoApproval": {
                      "subscriptions": [
                        "subscription1",
                        "subscription2"
                      ]
                    },
                    "fqdns": [
                      "fqdn1",
                      "fqdn2",
                      "fqdn3"
                    ],
                    "ipConfigurations": [
                      {
                        "name": "fe-lb",
                        "properties": {
                          "privateIPAddress": "10.0.1.4",
                          "privateIPAddressVersion": "IPv4",
                          "privateIPAllocationMethod": "Static",
                          "subnet": {
                            "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetlb/subnets/subnetlb"
                          }
                        }
                      }
                    ],
                    "loadBalancerFrontendIpConfigurations": [
                      {
                        "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/loadBalancers/lb/frontendIPConfigurations/fe-lb"
                      }
                    ],
                    "networkInterfaces": [
                      {
                        "id": "/subscriptions/subId/resourceGroups/rg1/provders/Microsoft.Network/networkInterfaces/testPls.nic.abcd1234"
                      }
                    ],
                    "privateEndpointConnections": [
                      {
                        "name": "privateEndpointConnection",
                        "properties": {
                          "privateEndpoint": {
                            "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testPe"
                          },
                          "privateLinkServiceConnectionState": {
                            "description": "approved it for some reason.",
                            "status": "Approved"
                          }
                        }
                      }
                    ],
                    "provisioningState": "Succeeded",
                    "visibility": {
                      "subscriptions": [
                        "subscription1",
                        "subscription2",
                        "subscription3"
                      ]
                    }
                  },
                  "type": "Microsoft.Network/privateLinkServices"
                }
              }
            }
          }
        }
      },
      "put": {
        "description": "Creates or updates an private link service in the specified resource group.",
        "operationId": "PrivateLinkServices_CreateOrUpdate",
        "parameters": [
          {
            "description": "The name of the resource group.",
            "in": "path",
            "name": "resourceGroupName",
            "required": true,
            "type": "string"
          },
          {
            "description": "The name of the private link service.",
            "in": "path",
            "name": "serviceName",
            "required": true,
            "type": "string"
          },
          {
            "description": "Parameters supplied to the create or update private link service operation.",
            "in": "body",
            "name": "parameters",
            "required": true,
            "schema": {
              "$ref": "#/definitions/PrivateLinkService"
            }
          },
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Update successful. The operation returns the resulting privateLinkService resource.",
            "schema": {
              "$ref": "#/definitions/PrivateLinkService"
            }
          },
          "201": {
            "description": "Create successful. The operation returns the resulting privateLinkService resource.",
            "schema": {
              "$ref": "#/definitions/PrivateLinkService"
            }
          },
          "default": {
            "description": "Error.",
            "schema": {
              "description": "Common error representation.",
              "properties": {
                "code": {
                  "description": "Error code.",
                  "type": "string"
                },
                "details": {
                  "description": "Error details.",
                  "items": {
                    "description": "Common error details representation.",
                    "properties": {
                      "code": {
                        "description": "Error code.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Error message.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Error target.",
                        "type": "string"
                      }
                    }
                  },
                  "type": "array"
                },
                "innerError": {
                  "description": "Inner error message.",
                  "type": "string"
                },
                "message": {
                  "description": "Error message.",
                  "type": "string"
                },
                "target": {
                  "description": "Error target.",
                  "type": "string"
                }
              }
            }
          }
        },
        "tags": [
          "PrivateLinkService"
        ],
        "x-ms-examples": {
          "Create private link service": {
            "parameters": {
              "api-version": "2019-04-01",
              "parameters": {
                "location": "eastus2euap",
                "properties": {
                  "autoApproval": {
                    "subscriptions": [
                      "subscription1",
                      "subscription2"
                    ]
                  },
                  "fqdns": [
                    "fqdn1",
                    "fqdn2",
                    "fqdn3"
                  ],
                  "ipConfigurations": [
                    {
                      "name": "fe-lb",
                      "properties": {
                        "privateIPAddress": "10.0.1.4",
                        "privateIPAddressVersion": "IPv4",
                        "privateIPAllocationMethod": "Static",
                        "subnet": {
                          "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetlb/subnets/subnetlb"
                        }
                      }
                    }
                  ],
                  "loadBalancerFrontendIpConfigurations": [
                    {
                      "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/loadBalancers/lb/frontendIPConfigurations/fe-lb"
                    }
                  ],
                  "visibility": {
                    "subscriptions": [
                      "subscription1",
                      "subscription2",
                      "subscription3"
                    ]
                  }
                }
              },
              "resourceGroupName": "rg1",
              "serviceName": "testPls",
              "subscriptionId": "subId"
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls",
                  "location": "eastus2euap",
                  "name": "testPls",
                  "properties": {
                    "alias": "ContosoService.{guid}.azure.privatelinkservice",
                    "autoApproval": {
                      "subscriptions": [
                        "subscription1",
                        "subscription2"
                      ]
                    },
                    "fqdns": [
                      "fqdn1",
                      "fqdn2",
                      "fqdn3"
                    ],
                    "ipConfigurations": [
                      {
                        "name": "fe-lb",
                        "properties": {
                          "privateIPAddress": "10.0.1.4",
                          "privateIPAddressVersion": "IPv4",
                          "privateIPAllocationMethod": "Static",
                          "subnet": {
                            "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetlb/subnets/subnetlb"
                          }
                        }
                      }
                    ],
                    "loadBalancerFrontendIpConfigurations": [
                      {
                        "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/loadBalancers/lb/frontendIPConfigurations/fe-lb"
                      }
                    ],
                    "networkInterfaces": [
                      {
                        "id": "/subscriptions/subId/resourceGroups/rg1/provders/Microsoft.Network/networkInterfaces/testPls.nic.abcd1234"
                      }
                    ],
                    "provisioningState": "Succeeded",
                    "visibility": {
                      "subscriptions": [
                        "subscription1",
                        "subscription2",
                        "subscription3"
                      ]
                    }
                  }
                }
              },
              "201": {
                "body": {
                  "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls",
                  "location": "eastus2euap",
                  "name": "testPls",
                  "properties": {
                    "alias": "ContosoService.{guid}.azure.privatelinkservice",
                    "autoApproval": {
                      "subscriptions": [
                        "subscription1",
                        "subscription2"
                      ]
                    },
                    "fqdns": [
                      "fqdn1",
                      "fqdn2",
                      "fqdn3"
                    ],
                    "ipConfigurations": [
                      {
                        "name": "fe-lb",
                        "properties": {
                          "privateIPAddress": "10.0.1.4",
                          "privateIPAddressVersion": "IPv4",
                          "privateIPAllocationMethod": "Static",
                          "subnet": {
                            "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/virtualNetworks/vnetlb/subnets/subnetlb"
                          }
                        }
                      }
                    ],
                    "loadBalancerFrontendIpConfigurations": [
                      {
                        "id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/loadBalancers/lb/frontendIPConfigurations/fe-lb"
                      }
                    ],
                    "networkInterfaces": [
                      {
                        "id": "/subscriptions/subId/resourceGroups/rg1/provders/Microsoft.Network/networkInterfaces/testPls.nic.abcd1234"
                      }
                    ],
                    "provisioningState": "Succeeded",
                    "visibility": {
                      "subscriptions": [
                        "subscription1",
                        "subscription2",
                        "subscription3"
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "x-ms-long-running-operation": true,
        "x-ms-long-running-operation-options": {
          "final-state-via": "azure-async-operation"
        }
      }
    },
    "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices/{serviceName}/privateEndpointConnections/{peConnectionName}": {
      "delete": {
        "description": "Delete private end point connection for a private link service in a subscription.",
        "operationId": "PrivateLinkServices_DeletePrivateEndpointConnection",
        "parameters": [
          {
            "description": "The name of the resource group.",
            "in": "path",
            "name": "resourceGroupName",
            "required": true,
            "type": "string"
          },
          {
            "description": "The name of the private link service.",
            "in": "path",
            "name": "serviceName",
            "required": true,
            "type": "string"
          },
          {
            "description": "The name of the private end point connection.",
            "in": "path",
            "name": "peConnectionName",
            "required": true,
            "type": "string"
          },
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Delete successful."
          },
          "202": {
            "description": "Accepted and the operation will complete asynchronously."
          },
          "204": {
            "description": "Delete successful."
          },
          "default": {
            "description": "Error.",
            "schema": {
              "description": "Common error representation.",
              "properties": {
                "code": {
                  "description": "Error code.",
                  "type": "string"
                },
                "details": {
                  "description": "Error details.",
                  "items": {
                    "description": "Common error details representation.",
                    "properties": {
                      "code": {
                        "description": "Error code.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Error message.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Error target.",
                        "type": "string"
                      }
                    }
                  },
                  "type": "array"
                },
                "innerError": {
                  "description": "Inner error message.",
                  "type": "string"
                },
                "message": {
                  "description": "Error message.",
                  "type": "string"
                },
                "target": {
                  "description": "Error target.",
                  "type": "string"
                }
              }
            }
          }
        },
        "tags": [
          "PrivateLinkServices"
        ],
        "x-ms-examples": {
          "delete private end point connection for a private link service": {
            "parameters": {
              "api-version": "2019-04-01",
              "peConnectionName": "testPlePeConnection",
              "resourceGroupName": "rg1",
              "serviceName": "testPls",
              "subscriptionId": "subId"
            },
            "responses": {
              "200": {},
              "202": {},
              "204": {}
            }
          }
        },
        "x-ms-long-running-operation": true,
        "x-ms-long-running-operation-options": {
          "final-state-via": "location"
        }
      },
      "put": {
        "description": "Approve or reject private end point connection for a private link service in a subscription.",
        "operationId": "PrivateLinkServices_UpdatePrivateEndpointConnection",
        "parameters": [
          {
            "description": "The name of the resource group.",
            "in": "path",
            "name": "resourceGroupName",
            "required": true,
            "type": "string"
          },
          {
            "description": "The name of the private link service.",
            "in": "path",
            "name": "serviceName",
            "required": true,
            "type": "string"
          },
          {
            "description": "The name of the private end point connection.",
            "in": "path",
            "name": "peConnectionName",
            "required": true,
            "type": "string"
          },
          {
            "description": "Parameters supplied to approve or reject the private end point connection.",
            "in": "body",
            "name": "parameters",
            "required": true,
            "schema": {
              "$ref": "#/definitions/PrivateEndpointConnection"
            }
          },
          {
            "description": "Client API version.",
            "in": "query",
            "name": "api-version",
            "required": true,
            "type": "string"
          },
          {
            "description": "The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.",
            "in": "path",
            "name": "subscriptionId",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "Update successful. The operation returns the resulting PrivateEndpointConnection resource",
            "schema": {
              "$ref": "#/definitions/PrivateEndpointConnection"
            }
          },
          "default": {
            "description": "Error.",
            "schema": {
              "description": "Common error representation.",
              "properties": {
                "code": {
                  "description": "Error code.",
                  "type": "string"
                },
                "details": {
                  "description": "Error details.",
                  "items": {
                    "description": "Common error details representation.",
                    "properties": {
                      "code": {
                        "description": "Error code.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Error message.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Error target.",
                        "type": "string"
                      }
                    }
                  },
                  "type": "array"
                },
                "innerError": {
                  "description": "Inner error message.",
                  "type": "string"
                },
                "message": {
                  "description": "Error message.",
                  "type": "string"
                },
                "target": {
                  "description": "Error target.",
                  "type": "string"
                }
              }
            }
          }
        },
        "tags": [
          "PrivateLinkServices"
        ],
        "x-ms-examples": {
          "approve or reject private end point connection for a private link service": {
            "parameters": {
              "api-version": "2019-04-01",
              "parameters": {
                "name": "testPlePeConnection",
                "properties": {
                  "privateEndpoint": {
                    "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testPe"
                  },
                  "privateLinkServiceConnectionState": {
                    "description": "approved it for some reason.",
                    "status": "Approved"
                  }
                }
              },
              "peConnectionName": "testPlePeConnection",
              "resourceGroupName": "rg1",
              "serviceName": "testPls",
              "subscriptionId": "subId"
            },
            "responses": {
              "200": {
                "body": {
                  "name": "testPlePeConnection",
                  "properties": {
                    "privateEndpoint": {
                      "id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testPe"
                    },
                    "privateLinkServiceConnectionState": {
                      "description": "approved it for some reason.",
                      "status": "Approved"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "definitions": {
    "AutoApprovedPrivateLinkService": {
      "description": "The information of an AutoApprovedPrivateLinkService.",
      "properties": {
        "privateLinkService": {
          "description": "The id of the private link service resource.",
          "type": "string"
        }
      }
    },
    "AutoApprovedPrivateLinkServicesResult": {
      "description": "An array of private link service id that can be linked to a private end point with auto approved.",
      "properties": {
        "nextLink": {
          "description": "The URL to get the next set of results.",
          "readOnly": true,
          "type": "string"
        },
        "value": {
          "description": "An array of auto approved private link service.",
          "items": {
            "$ref": "#/definitions/AutoApprovedPrivateLinkService"
          },
          "type": "array"
        }
      }
    },
    "CheckPrivateLinkServiceVisibilityRequest": {
      "description": "Request body of the CheckPrivateLinkServiceVisibility API service call.",
      "properties": {
        "privateLinkServiceAlias": {
          "description": "The alias of the private link service.",
          "type": "string"
        }
      }
    },
    "FrontendIPConfigurationPropertiesFormat": {},
    "NetworkInterfacePropertiesFormat": {},
    "PrivateEndpointConnection": {
      "allOf": [
        {
          "description": "Reference to another subresource.",
          "properties": {
            "id": {
              "description": "Resource ID.",
              "type": "string"
            }
          },
          "x-ms-azure-resource": true
        }
      ],
      "description": "PrivateEndpointConnection resource.",
      "properties": {
        "etag": {
          "description": "A unique read-only string that changes whenever the resource is updated.",
          "readOnly": true,
          "type": "string"
        },
        "name": {
          "description": "The name of the resource that is unique within a resource group. This name can be used to access the resource.",
          "type": "string"
        },
        "properties": {
          "$ref": "#/definitions/PrivateEndpointConnectionProperties",
          "description": "Properties of the private end point connection.",
          "x-ms-client-flatten": true
        },
        "type": {
          "description": "The resource type.",
          "readOnly": true,
          "type": "string"
        }
      }
    },
    "PrivateEndpointConnectionProperties": {
      "description": "Properties of the PrivateEndpointConnectProperties.",
      "properties": {
        "privateEndpoint": {
          "allOf": [
            {
              "description": "Common resource representation.",
              "properties": {
                "id": {
                  "description": "Resource ID.",
                  "type": "string"
                },
                "location": {
                  "description": "Resource location.",
                  "type": "string"
                },
                "name": {
                  "description": "Resource name.",
                  "readOnly": true,
                  "type": "string"
                },
                "tags": {
                  "additionalProperties": {
                    "type": "string"
                  },
                  "description": "Resource tags.",
                  "type": "object"
                },
                "type": {
                  "description": "Resource type.",
                  "readOnly": true,
                  "type": "string"
                }
              },
              "x-ms-azure-resource": true
            }
          ],
          "description": "Private endpoint resource.",
          "properties": {
            "etag": {
              "description": "A unique read-only string that changes whenever the resource is updated.",
              "type": "string"
            },
            "properties": {
              "$ref": "#/definitions/PrivateEndpointProperties",
              "description": "Properties of the private endpoint.",
              "x-ms-client-flatten": true
            }
          }
        },
        "privateLinkServiceConnectionState": {
          "$ref": "#/definitions/PrivateLinkServiceConnectionState",
          "description": "A collection of information about the state of the connection between service consumer and provider."
        },
        "provisioningState": {
          "description": "The current provisioning state.",
          "enum": [
            "Succeeded",
            "Updating",
            "Deleting",
            "Failed"
          ],
          "readOnly": true,
          "type": "string",
          "x-ms-enum": {
            "modelAsString": true,
            "name": "ProvisioningState"
          }
        }
      }
    },
    "PrivateEndpointProperties": {},
    "PrivateLinkService": {
      "allOf": [
        {
          "description": "Common resource representation.",
          "properties": {
            "id": {
              "description": "Resource ID.",
              "type": "string"
            },
            "location": {
              "description": "Resource location.",
              "type": "string"
            },
            "name": {
              "description": "Resource name.",
              "readOnly": true,
              "type": "string"
            },
            "tags": {
              "additionalProperties": {
                "type": "string"
              },
              "description": "Resource tags.",
              "type": "object"
            },
            "type": {
              "description": "Resource type.",
              "readOnly": true,
              "type": "string"
            }
          },
          "x-ms-azure-resource": true
        }
      ],
      "description": "Private link service resource.",
      "properties": {
        "etag": {
          "description": "A unique read-only string that changes whenever the resource is updated.",
          "type": "string"
        },
        "properties": {
          "$ref": "#/definitions/PrivateLinkServiceProperties",
          "description": "Properties of the private link service.",
          "x-ms-client-flatten": true
        }
      }
    },
    "PrivateLinkServiceConnectionState": {
      "description": "A collection of information about the state of the connection between service consumer and provider.",
      "properties": {
        "actionsRequired": {
          "description": "A message indicating if changes on the service provider require any updates on the consumer.",
          "type": "string"
        },
        "description": {
          "description": "The reason for approval/rejection of the connection.",
          "type": "string"
        },
        "status": {
          "description": "Indicates whether the connection has been Approved/Rejected/Removed by the owner of the service.",
          "type": "string"
        }
      }
    },
    "PrivateLinkServiceIpConfiguration": {
      "allOf": [
        {
          "description": "Reference to another subresource.",
          "properties": {
            "id": {
              "description": "Resource ID.",
              "type": "string"
            }
          },
          "x-ms-azure-resource": true
        }
      ],
      "description": "The private link service ip configuration.",
      "properties": {
        "etag": {
          "description": "A unique read-only string that changes whenever the resource is updated.",
          "readOnly": true,
          "type": "string"
        },
        "name": {
          "description": "The name of private link service ip configuration.",
          "type": "string"
        },
        "properties": {
          "$ref": "#/definitions/PrivateLinkServiceIpConfigurationProperties",
          "description": "Properties of the private link service ip configuration.",
          "x-ms-client-flatten": true
        },
        "type": {
          "description": "The resource type.",
          "readOnly": true,
          "type": "string"
        }
      }
    },
    "PrivateLinkServiceIpConfigurationProperties": {
      "description": "Properties of private link service IP configuration.",
      "properties": {
        "primary": {
          "description": "Whether the ip configuration is primary or not.",
          "type": "boolean"
        },
        "privateIPAddress": {
          "description": "The private IP address of the IP configuration.",
          "type": "string"
        },
        "privateIPAddressVersion": {
          "description": "IP address version.",
          "enum": [
            "IPv4",
            "IPv6"
          ],
          "type": "string",
          "x-ms-enum": {
            "modelAsString": true,
            "name": "IPVersion"
          }
        },
        "privateIPAllocationMethod": {
          "description": "IP address allocation method.",
          "enum": [
            "Static",
            "Dynamic"
          ],
          "type": "string",
          "x-ms-enum": {
            "modelAsString": true,
            "name": "IPAllocationMethod"
          }
        },
        "provisioningState": {
          "description": "The current provisioning state.",
          "enum": [
            "Succeeded",
            "Updating",
            "Deleting",
            "Failed"
          ],
          "readOnly": true,
          "type": "string",
          "x-ms-enum": {
            "modelAsString": true,
            "name": "ProvisioningState"
          }
        },
        "subnet": {
          "allOf": [
            {
              "description": "Reference to another subresource.",
              "properties": {
                "id": {
                  "description": "Resource ID.",
                  "type": "string"
                }
              },
              "x-ms-azure-resource": true
            }
          ],
          "description": "Subnet in a virtual network resource.",
          "properties": {
            "etag": {
              "description": "A unique read-only string that changes whenever the resource is updated.",
              "type": "string"
            },
            "name": {
              "description": "The name of the resource that is unique within a resource group. This name can be used to access the resource.",
              "type": "string"
            },
            "properties": {
              "$ref": "#/definitions/SubnetPropertiesFormat",
              "description": "Properties of the subnet.",
              "x-ms-client-flatten": true
            }
          }
        }
      }
    },
    "PrivateLinkServiceListResult": {
      "description": "Response for the ListPrivateLinkService API service call.",
      "properties": {
        "nextLink": {
          "description": "The URL to get the next set of results.",
          "readOnly": true,
          "type": "string"
        },
        "value": {
          "description": "Gets a list of PrivateLinkService resources in a resource group.",
          "items": {
            "$ref": "#/definitions/PrivateLinkService"
          },
          "type": "array"
        }
      }
    },
    "PrivateLinkServiceProperties": {
      "description": "Properties of the private link service.",
      "properties": {
        "alias": {
          "description": "The alias of the private link service.",
          "readOnly": true,
          "type": "string"
        },
        "autoApproval": {
          "allOf": [
            {
              "$ref": "#/definitions/ResourceSet"
            }
          ],
          "description": "The auto-approval list of the private link service."
        },
        "fqdns": {
          "description": "The list of Fqdn.",
          "items": {
            "type": "string"
          },
          "type": "array"
        },
        "ipConfigurations": {
          "description": "An array of references to the private link service IP configuration.",
          "items": {
            "$ref": "#/definitions/PrivateLinkServiceIpConfiguration"
          },
          "type": "array"
        },
        "loadBalancerFrontendIpConfigurations": {
          "description": "An array of references to the load balancer IP configurations.",
          "items": {
            "allOf": [
              {
                "description": "Reference to another subresource.",
                "properties": {
                  "id": {
                    "description": "Resource ID.",
                    "type": "string"
                  }
                },
                "x-ms-azure-resource": true
              }
            ],
            "description": "Frontend IP address of the load balancer.",
            "properties": {
              "etag": {
                "description": "A unique read-only string that changes whenever the resource is updated.",
                "type": "string"
              },
              "name": {
                "description": "The name of the resource that is unique within a resource group. This name can be used to access the resource.",
                "type": "string"
              },
              "properties": {
                "$ref": "#/definitions/FrontendIPConfigurationPropertiesFormat",
                "description": "Properties of the load balancer probe.",
                "x-ms-client-flatten": true
              },
              "zones": {
                "description": "A list of availability zones denoting the IP allocated for the resource needs to come from.",
                "items": {
                  "type": "string"
                },
                "type": "array"
              }
            }
          },
          "type": "array"
        },
        "networkInterfaces": {
          "description": "Gets an array of references to the network interfaces created for this private link service.",
          "items": {
            "allOf": [
              {
                "description": "Common resource representation.",
                "properties": {
                  "id": {
                    "description": "Resource ID.",
                    "type": "string"
                  },
                  "location": {
                    "description": "Resource location.",
                    "type": "string"
                  },
                  "name": {
                    "description": "Resource name.",
                    "readOnly": true,
                    "type": "string"
                  },
                  "tags": {
                    "additionalProperties": {
                      "type": "string"
                    },
                    "description": "Resource tags.",
                    "type": "object"
                  },
                  "type": {
                    "description": "Resource type.",
                    "readOnly": true,
                    "type": "string"
                  }
                },
                "x-ms-azure-resource": true
              }
            ],
            "description": "A network interface in a resource group.",
            "properties": {
              "etag": {
                "description": "A unique read-only string that changes whenever the resource is updated.",
                "type": "string"
              },
              "properties": {
                "$ref": "#/definitions/NetworkInterfacePropertiesFormat",
                "description": "Properties of the network interface.",
                "x-ms-client-flatten": true
              }
            }
          },
          "readOnly": true,
          "type": "array"
        },
        "privateEndpointConnections": {
          "description": "An array of list about connections to the private endpoint.",
          "items": {
            "$ref": "#/definitions/PrivateEndpointConnection"
          },
          "type": "array"
        },
        "provisioningState": {
          "description": "The current provisioning state.",
          "enum": [
            "Succeeded",
            "Updating",
            "Deleting",
            "Failed"
          ],
          "readOnly": true,
          "type": "string",
          "x-ms-enum": {
            "modelAsString": true,
            "name": "ProvisioningState"
          }
        },
        "visibility": {
          "allOf": [
            {
              "$ref": "#/definitions/ResourceSet"
            }
          ],
          "description": "The visibility list of the private link service."
        }
      }
    },
    "PrivateLinkServiceVisibility": {
      "description": "Response for the CheckPrivateLinkServiceVisibility API service call.",
      "properties": {
        "visible": {
          "description": "Private Link Service Visibility (True/False).",
          "type": "boolean"
        }
      }
    },
    "ResourceSet": {
      "description": "The base resource set for visibility and auto-approval.",
      "properties": {
        "subscriptions": {
          "description": "The list of subscriptions.",
          "items": {
            "type": "string"
          },
          "type": "array"
        }
      }
    },
    "SubnetPropertiesFormat": {}
  }
}